WhatsApp API Platform
Webhooks

Send Test Event

POST
/api/v1/waba/webhooks/{endpointId}/test

Delivers an example payload for one event type to this endpoint only.

Authorization

ApiKeyAuth
X-API-Key<token>

API key from your dashboard (Settings > API Keys)

In: header

Path Parameters

endpointId*string

The webhook endpoint's id.

Query Parameters

waba_id*string

The WhatsApp number (WABA) these webhooks belong to.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/waba/webhooks/string/test?waba_id=string" \  -H "Content-Type: application/json" \  -d '{    "event_type": "message.incoming"  }'
{
  "success": true
}
{
  "success": false,
  "message": "to field is required"
}
{
  "success": false,
  "message": "user not authenticated"
}
{
  "success": false,
  "message": "forbidden"
}
{
  "success": false,
  "message": "webhook endpoint not found"
}
{
  "success": true,
  "message": "string"
}